# Uses of Class io.dapr.workflows.client.NewWorkflowOption (dapr-sdk-parent 1.12.2 API)
use: package: io.dapr.workflows.client, class: NewWorkflowOption

# Uses of Class
io.dapr.workflows.client.NewWorkflowOption

Packages that use NewWorkflowOption
Package
Description
io.dapr.workflows.client

## Uses of NewWorkflowOption in io.dapr.workflows.client

Methods in io.dapr.workflows.client that return NewWorkflowOption
Modifier and Type
Method
Description
`NewWorkflowOption`
NewWorkflowOption.`setInput(Object input)`
Sets the input of the workflow to start.
`NewWorkflowOption`
NewWorkflowOption.`setInstanceId(String instanceId)`
Sets the instance ID of the workflow to start.
`NewWorkflowOption`
NewWorkflowOption.`setStartTime(Instant startTime)`
Sets the start time of the new workflow.
`NewWorkflowOption`
NewWorkflowOption.`setVersion(String version)`
Sets the version of the workflow to start.
Methods in io.dapr.workflows.client with parameters of type NewWorkflowOption
Modifier and Type
Method
Description
`<T extends Workflow>
String`
DaprWorkflowClient.`scheduleNewWorkflow(Class<T> clazz, NewWorkflowOption options)`
Schedules a new workflow with a specified set of options for execution.